/*
    使用プログラム
    HACHU011Search.php     発注照会画面
    HACHU011Detail.php     発注照会詳細画面
*/


/********************両画面使用********************/
/* なし */

/********************検索画面使用********************/
/* ヘッダエリア
----------------------------------------------------------*/
.HACHU011-tbl-search_head {
    width: 460px;
}

.HACHU011-tbl-search_head_col1 {
    width: 110px;
}
.HACHU011-tbl-search_head_col2 {
    width: 310px;
}
.HACHU011-tbl-search_head_col3 {
    width: 110px;
}
.HACHU011-tbl-search_head_col4 {
    width: 310px;
}
.HACHU011-tbl-search_head_col5 {
    width: 110px;
}
.HACHU011-tbl-search_head_col6 {
    width: 310px;
}

/* ボタンエリア
----------------------------------------------------------*/
.HACHU011-div-header-btn-area {
    width: 460px;
}

/* 明細エリア
----------------------------------------------------------*/
.HACHU011-tbl-search_th {
    margin-bottom: 0;
    width: 1704px;
}

.HACHU011-tbl-search {
    margin-top: 0;
    overflow-y: auto;
    overflow-x: hidden;
    display: block;
    width: 1722px;
    max-height: 581px;
}

/* 右寄せ */
.HACHU011-tbl-search tbody tr td:nth-of-type(1) ,
.HACHU011-tbl-search tbody tr td:nth-of-type(13) {
    text-align: right;
}

/* 中央寄せ */
.HACHU011-tbl-search tbody tr td:nth-of-type(14) ,
.HACHU011-tbl-search tbody tr td:nth-of-type(15)  {
    text-align: center;
}

/****列幅設定****/
/*1列目(No)*/
.HACHU011-tbl-search_th  thead tr:nth-of-type(1) th:nth-of-type(1),
.HACHU011-tbl-search     tbody tr:nth-of-type(1) td:nth-of-type(1) {
    width: 30px;
    max-width: 30px;
    min-width: 30px;
}

/*2列目(倉庫)*/
.HACHU011-tbl-search_th  thead tr:nth-of-type(1) th:nth-of-type(2),
.HACHU011-tbl-search     tbody tr:nth-of-type(1) td:nth-of-type(2) {
    width: 30px;
    max-width: 30px;
    min-width: 30px;
}

/*3列目(倉庫名称)*/
.HACHU011-tbl-search_th  thead tr:nth-of-type(1) th:nth-of-type(3),
.HACHU011-tbl-search     tbody tr:nth-of-type(1) td:nth-of-type(3) {
    width: 120px;
    max-width: 120px;
    min-width: 120px;
}

/*4列目(発注倉庫)*/
.HACHU011-tbl-search_th  thead tr:nth-of-type(1) th:nth-of-type(4),
.HACHU011-tbl-search     tbody tr:nth-of-type(1) td:nth-of-type(4) {
    width: 30px;
    max-width: 30px;
    min-width: 30px;
}

/*5列目(倉庫名称(発注))*/
.HACHU011-tbl-search_th  thead tr:nth-of-type(1) th:nth-of-type(5),
.HACHU011-tbl-search     tbody tr:nth-of-type(1) td:nth-of-type(5) {
    width: 120px;
    max-width: 120px;
    min-width: 120px;
}
/*6列目(発注日)*/
.HACHU011-tbl-search_th  thead tr:nth-of-type(1) th:nth-of-type(6),
.HACHU011-tbl-search     tbody tr:nth-of-type(1) td:nth-of-type(6) {
    width: 70px;
    max-width: 70px;
    min-width: 70px;
}
/*7列目(納品日)*/
.HACHU011-tbl-search_th  thead tr:nth-of-type(1) th:nth-of-type(7),
.HACHU011-tbl-search     tbody tr:nth-of-type(1) td:nth-of-type(7) {
    width: 70px;
    max-width: 70px;
    min-width: 70px;
}
/*8列目(仕入先コード)*/
.HACHU011-tbl-search_th  thead tr:nth-of-type(1) th:nth-of-type(8),
.HACHU011-tbl-search     tbody tr:nth-of-type(1) td:nth-of-type(8) {
    width: 60px;
    max-width: 60px;
    min-width: 60px;
}
/*9列目(仕入先名称)*/
.HACHU011-tbl-search_th  thead tr:nth-of-type(1) th:nth-of-type(9),
.HACHU011-tbl-search     tbody tr:nth-of-type(1) td:nth-of-type(9) {
    width: 250px;
    max-width: 250px;
    min-width: 250px;
}
/*10列目(仕入先担当名)*/
.HACHU011-tbl-search_th  thead tr:nth-of-type(1) th:nth-of-type(10),
.HACHU011-tbl-search     tbody tr:nth-of-type(1) td:nth-of-type(10) {
    width: 80px;
    max-width: 80px;
    min-width: 80px;
}
/*11列目(発注先コード)*/
.HACHU011-tbl-search_th  thead tr:nth-of-type(1) th:nth-of-type(11),
.HACHU011-tbl-search     tbody tr:nth-of-type(1) td:nth-of-type(11) {
    width: 60px;
    max-width: 60px;
    min-width: 60px;
}
/*12列目(発注先名称)*/
.HACHU011-tbl-search_th  thead tr:nth-of-type(1) th:nth-of-type(12),
.HACHU011-tbl-search     tbody tr:nth-of-type(1) td:nth-of-type(12) {
    width: 250px;
    max-width: 250px;
    min-width: 250px;
}
/*13列目(不足数)*/
.HACHU011-tbl-search_th  thead tr:nth-of-type(1) th:nth-of-type(13),
.HACHU011-tbl-search     tbody tr:nth-of-type(1) td:nth-of-type(13) {
    width: 60px;
    max-width: 60px;
    min-width: 60px;
}
/*14列目(取寄)*/
.HACHU011-tbl-search_th  thead tr:nth-of-type(1) th:nth-of-type(14),
.HACHU011-tbl-search     tbody tr:nth-of-type(1) td:nth-of-type(14) {
    width: 30px;
    max-width: 30px;
    min-width: 30px;
}
/*15列目(締め時間)*/
.HACHU011-tbl-search_th  thead tr:nth-of-type(1) th:nth-of-type(15),
.HACHU011-tbl-search     tbody tr:nth-of-type(1) td:nth-of-type(15) {
    width: 65px;
    max-width: 65px;
    min-width: 65px;
}
/*16列目(ステータス)*/
.HACHU011-tbl-search_th  thead tr:nth-of-type(1) th:nth-of-type(16),
.HACHU011-tbl-search     tbody tr:nth-of-type(1) td:nth-of-type(16) {
    width: 70px;
    max-width: 70px;
    min-width: 70px;
}

/********************詳細画面使用********************/
/* ヘッダエリア
----------------------------------------------------------*/
.HACHU011-tbl-detail_head {
    width: 1400px;
}

.HACHU011-tbl-detail_head_col1 {
    width: 100px;
}
.HACHU011-tbl-detail_head_col2 {
    width: 120px;
}
.HACHU011-tbl-detail_head_col3 {
    width: 100px;
}
.HACHU011-tbl-detail_head_col4 {
    width: 120px;
}
.HACHU011-tbl-detail_head_col5 {
    width: 100px;
}
.HACHU011-tbl-detail_head_col6 {
    width: 120px;
}
.HACHU011-tbl-detail_head_col7 {
    width: 100px;
}
.HACHU011-tbl-detail_head_col8 {
    width: 400px;
}
.HACHU011-tbl-detail_head tr:nth-of-type(5) td:nth-of-type(4),
.HACHU011-tbl-detail_head tr:nth-of-type(6) td:nth-of-type(2){
    background: #fafafa;
    border-bottom: 1px solid #fafafa;
    border-right: 1px solid #fafafa;
    text-align: left;
}

/* 明細エリア
----------------------------------------------------------*/

/* 中央寄せ */
.lbl-center {
    text-align: center;
}

.HACHU011-flex-tbl-head-area {
    display: -ms-flexbox;
    display: flex;
    display: -webkit-box;
    display: -webkit-flex;
    width: 100%;
    min-width: 1400px;
    -webkit-box-align: end;
    -ms-flex-align: end;
    align-items: flex-end;
}

.HACHU011-flex-tbl-head-area table {
    margin: 0px;
}

.HACHU011-flex-tbl-head-L {
    overflow: hidden;
    width: 321px;
}

.HACHU011-tbl-head_L {
    width: 321px;
}

.HACHU011-tbl-head_L thead tr th {
    height: 55px;
}

.HACHU011-flex-tbl-head-R {
    overflow: hidden;
    width: 1157px;
    overflow-y: auto;
    overflow-x: hidden;
}

.HACHU011-tbl-head_R {
    margin: 0;
    width: 1625px;
}

.HACHU011-tbl-head_R thead tr th {
    height: 25px;
}

.HACHU011-tbl-head_R thead tr th:first-child {
    border-left: none;
}

.HACHU011-tbl-body-area {
    display: -ms-flexbox;
    display: flex;
    display: -webkit-box;
    display: -webkit-flex;
    width: 100%;
    min-width: 1400px;
}

.HACHU011-flex-tbl-body-L {
    overflow: hidden;
    margin-top: 0px;
    width: 321px;
    max-height: 600px;
}

.HACHU011-tbl-body_L {
    margin-top: -1px;
    width: 321px;
}

.HACHU011-tbl-body_L tbody tr.odd {
    background: #f4f6f6;
}

.HACHU011-tbl-body_L tbody tr.even {
    background: #ffffff;
}

.HACHU011-tbl-body_L tr td {
    padding-top: 0;
    padding-bottom: 0;
}

.HACHU011-out-flex-tbl-body-R {
    width: 1174px;
    max-height: 600px;
}

.HACHU011-flex-tbl-body-R {
    /* overflow-y: auto; */
    overflow-x: hidden;
    margin-top: 0px;
    width: 1157px;
}

.HACHU011-tbl-body_R {
    margin-top: -1px;
    width: 1625px;
}

.HACHU011-tbl-body_R tr td {
    padding-top: 0;
    padding-bottom: 0;
}

.HACHU011-tbl-body_R tbody tr.odd {
    background: #f4f6f6;
}

.HACHU011-tbl-body_R tbody tr.even {
    background: #ffffff;
}

.HACHU011-tbl-body_R tbody tr td:first-child {
    border-left: none;
}

.HACHU011-flex-tbl-foot-L {
    overflow: hidden;
    margin-top: 0px;
    float: left;
}

.HACHU011-flex-tbl-foot-R {
    overflow-y: hidden;
    overflow-x: auto;
    width: 1157px;
    margin-top: -10px;
    margin-left: 321px;
}

.HACHU011-tbl-foot_R {
    width: 1645px;
    margin-top: 0;
}

/* No */
.HACHU011-tbl-result_col1 {
    width: 40px;
}

/* 入荷フラグ */
.HACHU011-tbl-result_col2 {
    width: 80px;
}

/* 取引区分 */
.HACHU011-tbl-result_col3 {
    width: 80px;
}

/* 商品コード */
.HACHU011-tbl-result_col4 {
    width: 120px;
}

/* 商品名称 */
.HACHU011-tbl-result_col5 {
    /*width: 400px;*/
    width: 510px;
}

/* 規格 */
.HACHU011-tbl-result_col6 {
    width: 160px;
}

/* 合数 */
.HACHU011-tbl-result_col7 {
    width: 90px;
}

/* 入数 */
.HACHU011-tbl-result_col8 {
    width: 75px;
}

/* 希望納期(発注) */
.HACHU011-tbl-result_col9 {
    width: 90px;
}

/* 数量(発注) */
.HACHU011-tbl-result_col10 {
    width: 80px;
}

/* 単位(発注) */
.HACHU011-tbl-result_col11 {
    width: 50px;
}

/* 単価(発注) */
.HACHU011-tbl-result_col12 {
    width: 100px;
}

/* 入荷日(入荷) */
.HACHU011-tbl-result_col13 {
    width: 90px;
}

/* 数量(入荷) */
.HACHU011-tbl-result_col14 {
    width: 80px;
}

/* 単位(入荷) */
.HACHU011-tbl-result_col15 {
    width: 50px;
}

/* 単価(入荷) */
.HACHU011-tbl-result_col16 {
    width: 100px;
}

/* 行摘要 */
.HACHU011-tbl-result_col17 {
    width: 150px;
}

.HACHU011-tbl-body_L tbody .HACHU011-tbl-detail-tr-odd:nth-child(n) {
    background-color: #f4f6f6;
}

.HACHU011-tbl-body_L tbody .HACHU011-tbl-detail-tr-even:nth-child(n) {
    background-color: #ffffff;
}

.HACHU011-tbl-body_R tbody .HACHU011-tbl-detail-tr-odd:nth-child(n) {
    background-color: #f4f6f6;
}

.HACHU011-tbl-body_R tbody .HACHU011-tbl-detail-tr-even:nth-child(n) {
    background-color: #ffffff;
}